#!/bin/bash

function confimpresora {
  PPD="$1"
  NOMBRE="$2"
  CONEXION="$3"
  DESTINO="$4"
  PREDETERMINADA="$5"
  IP="$6"
  if ! test -d /usr/share/cups/model/vitalinux ; then
      mkdir -p /usr/share/cups/model/vitalinux
  fi
  cd /usr/share/cups/model/vitalinux
  wget "${PPD}" &> /dev/null
  lpadmin -p "${NOMBRE}" -E -v "${CONEXION}" -P "${DESTINO}" -o pdftops-renderer-default=pdftocairo
  # /etc/init.d/cups restart &> /dev/null
  # cupsenable "${NOMBRE}"
  # Imponemos que la gestione tea4cups
  # FICHERO="/etc/cups/printers.conf"
  # sed -i "/^DeviceURI.*${IP}.*/ { /tea4cups/! { s/\(DeviceURI \)\(.*\)/\1tea4cups:\/\/\2/g } }" "${FICHERO}"
  # /etc/init.d/cups restart &> /dev/null
  if test ${PREDETERMINADA} -eq 1 ; then
    lpadmin -d "${NOMBRE}"
  fi
  /etc/init.d/cups restart &> /dev/null
  cupsenable "${NOMBRE}"
}

if test -f /usr/bin/vx-usuario-grafico ; then
  USUARIO="$(/usr/bin/vx-usuario-grafico)"
else
  USUARIO="desconocido"
fi

ETIQUETAS=$(migasfree-tags -g)

##if test "$USUARIO" = "profesor" -o "$USUARIO" = "dga"  ; then
. /etc/default/vx-dga-variables/vx-dga-variables-general.conf
###if test -z $CONFIGURARIMPRESORA1 ; then

# Configuración de las impresoras del IES Joaquin Costa de Cariñena

# Eliminar determinadas impresoras:
#for NOMBRE in "Sala-Profesores" "RICOH-Aficio-MP-5002" "Conserjeria" ; do
#( lpstat -v | grep -E "${NOMBRE}:" &> /dev/null ) && lpadmin -x "${NOMBRE}"
#done

#if (echo "${ETIQUETAS}" | grep CONSERJERIA > /dev/null 2> /dev/null) ; then

  NOMBREPPD="Ricoh-Aficio_MP_7001-pxlmono-Ricoh.ppd"
  CENTRO="ies-joaquin-costa-carinena"
  PPD="http://migasfree.educa.aragon.es/ppds/${CENTRO}/${NOMBREPPD}"
  NOMBRE="Conserjeria"
  IP="192.168.1.200"
  CONEXION="lpd://${IP}/lp"
  DESTINO="/usr/share/cups/model/vitalinux/${NOMBREPPD}"
  if ! ( lpstat -v | grep "${NOMBRE}:" &> /dev/null ) ; then
    confimpresora "${PPD}" "${NOMBRE}" "${CONEXION}" "${DESTINO}" "0" "${IP}"
  fi

  NOMBREPPD="Ricoh-MP_3554-pxlmono-Ricoh.ppd"
  CENTRO="ies-joaquin-costa-carinena"
  PPD="http://migasfree.educa.aragon.es/ppds/${CENTRO}/${NOMBREPPD}"
  NOMBRE="Sala-Profesores"
  IP="172.30.3.69"
  CONEXION="lpd://${IP}/lp"
  DESTINO="/usr/share/cups/model/vitalinux/${NOMBREPPD}"
  if ! ( lpstat -v | grep "${NOMBRE}:" &> /dev/null ) ; then
    confimpresora "${PPD}" "${NOMBRE}" "${CONEXION}" "${DESTINO}" "1" "${IP}"
  fi
#fi
###sed -i "/CONFIGURARIMPRESORA/d" /etc/default/vx-dga-variables/vx-dga-variables-general.conf
###sed -i '/Varibles utilizadas por los paquetes/a CONFIGURARIMPRESORA1=1' /etc/default/vx-dga-variables/vx-dga-variables-general.conf

###fi
##fi